#include <stdbool.h>
#include <stdlib.h>
#include <stdio.h>

struct s_graphe_mat {
	int n; //nombre de sommets
	bool** mat; // tableau de tableau de booléens de dimensions nxn
};

typedef struct s_graphe_mat gra_m;




gra_m* cree_graphe_vide (int nb_sommets) {
	// renvoie l'adresse d'une nouvelle structure de graphe par matrice
	// contenant un graphe à nb_sommets sommets mais aucune arête 
	
	assert(false);
	//à remplir
}

void supprime_graphe (gra_m* pg){
	//libère l'espace mémoire occupé par la structure *pg
	
	assert(false);
	//à remplir
}



void affiche_graphe (gra_m* pg) {
	// affiche la matrice d'adjacence du graphe *pg
	printf("    |   ");
	for (int j = 0; j < pg->n; j++){
		printf("%d	",j);
	}
	printf("\n");
	for (int j = 0; j < pg->n; j++){
		printf("--------",j);
	}
	printf("\n");
	for (int i = 0; i < pg->n; i++){
		printf("%d   |   ",i);
		for (int j = 0; j < pg->n; j++){
			if ((pg->mat)[i][j]) {
				printf("1	");
			}
			else{
				printf("0	");
			}
		}
		printf("\n");
	}
	printf("\n");
}



void ajoute_arete (gra_m* pg, int a, int b) {
	// hyp : 0<=a && a<pg->n && 0<=b && b<pg->n
	// modifie la matrice d'adjacence du graphe *pg pour y ajouter l'arête {a,b}
	
	assert(false);
	//à remplir
}




struct s_couple {
	int c1;
	int c2;
};

typedef struct s_couple couple;




void ajoute_aretes_from_tab (gra_m* pg, int nba, couple* t) {
	//hyp : t est de taille nba et contient des couples dont les valeurs
	// sont des entiers entre 0 et pg->n
	// modifie la matrice d'adjacence du graphe *pg pour y ajouter les
	// arêtes correspondant aux nba couples de t
	for (int i=0; i < nba; i++){
		ajoute_arete (pg, t[i].c1, t[i].c2); 
	}
}




int main(){

	assert(false);
	//à remplir

	return 0;
}
